Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.backend.impl.jgroups
Class JGroupsMasterMessageListener

    java.lang.Object
      org.hibernate.search.backend.impl.jgroups.JGroupsMasterMessageListener

All Implemented Interfaces:
  org.jgroups.MembershipListener, org.jgroups.MessageListener, org.jgroups.Receiver

    public class JGroupsMasterMessageListener

extends java.lang.Object
implements org.jgroups.Receiver

Listen for messages from slave nodes and apply them into `LuceneBackendQueueProcessor`

Author:
  Lukasz Moren
See Also:
  `LuceneBackendQueueProcessorFactory`, `LuceneBackendQueueProcessor`, `Receiver`

Constructor Summary
`JGroupsMasterMessageListener(SearchFactoryImplementor searchFactory)`

Method Summary
`void` | `block()`
`byte[]` | `getState()`
`void` | `receive(org.jgroups.Message message)`
`void` | `setState(byte[] state)`
`void` | `suspect(org.jgroups.Address suspected_mbr)`
`void` | `viewAccepted(org.jgroups.View view)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JGroupsMasterMessageListener

    public JGroupsMasterMessageListener(SearchFactoryImplementor searchFactory)

Method Detail

### receive

    public void receive(org.jgroups.Message message)

  Specified by:
    `receive` in interface `org.jgroups.MessageListener`

### getState

    public byte[] getState()

  Specified by:
    `getState` in interface `org.jgroups.MessageListener`

### setState

    public void setState(byte[] state)

  Specified by:
    `setState` in interface `org.jgroups.MessageListener`

### viewAccepted

    public void viewAccepted(org.jgroups.View view)

  Specified by:
    `viewAccepted` in interface `org.jgroups.MembershipListener`

### suspect

    public void suspect(org.jgroups.Address suspected_mbr)

  Specified by:
    `suspect` in interface `org.jgroups.MembershipListener`

### block

    public void block()

  Specified by:
    `block` in interface `org.jgroups.MembershipListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.